package com.gic.store.dto.union;

import java.io.Serializable;
/**
 * 店招品牌
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/6/24 3:47 PM 
 */
public class StoreBrandShareDTO implements Serializable{
    private static final long serialVersionUID = 7242053220313579132L;

    /***********前端使用字段*********/
    /**
     * 共享标记 1:自有 0：共享
     */
    private Integer ownerFlag;

    /**
     * 自有商户名称
     */
    private String ownerEntName;

    private Integer storeBrandId;

    public Integer getOwnerFlag() {
        return ownerFlag;
    }

    public StoreBrandShareDTO setOwnerFlag(Integer ownerFlag) {
        this.ownerFlag = ownerFlag;
        return this;
    }

    public String getOwnerEntName() {
        return ownerEntName;
    }

    public StoreBrandShareDTO setOwnerEntName(String ownerEntName) {
        this.ownerEntName = ownerEntName;
        return this;
    }

    public Integer getStoreBrandId() {
        return storeBrandId;
    }

    public StoreBrandShareDTO setStoreBrandId(Integer storeBrandId) {
        this.storeBrandId = storeBrandId;
        return this;
    }

    @Override
    public String toString() {
        return "StoreBrandShareDTO{" +
                "ownerFlag=" + ownerFlag +
                ", ownerEntName='" + ownerEntName + '\'' +
                ", storeBrandId=" + storeBrandId +
                '}';
    }
}
